<br />
<p align="center">
    <a href="https://github.com/EdurtIO/incubator-dbm">
      <img src="src/shared/assets/icons/favicon.png" alt="Logo" width="120px" height="120px">
    </a>
</p>

[![Typing SVG](https://readme-typing-svg.herokuapp.com?size=25&width=750&lines=DBM+is+a+open+source+database+management+system.)](https://git.io/typing-svg)

**Documentation**

[中文](http://dbm-zh.edurt.io/) <br />
[English](https://dbm.edurt.io/)

## Contributors

---

![GitHub Contributors Image](https://contrib.rocks/image?repo=EdurtIO/dbm)

## Stargazers over time

---

[![Stargazers over time](https://starchart.cc/EdurtIO/dbm.svg)](https://starchart.cc/EdurtIO/dbm)

## Overview

---

![](https://visitor-badge.glitch.me/badge?page_id=dbm)
[![](https://tokei.rs/b1/github/EdurtIO/dbm)](https://github.com/EdurtIO/dbm)
![version](https://img.shields.io/github/v/release/EdurtIO/dbm.svg)

![GitHub release (latest by date including pre-releases)](https://img.shields.io/github/downloads-pre/EdurtIO/dbm/latest/total?style=flat-square)
![GitHub all releases](https://img.shields.io/github/downloads/EdurtIO/dbm/total?style=flat-square)

![GitHub branch checks state](https://img.shields.io/github/checks-status/EdurtIO/dbm/master?style=flat-square)
![GitHub Release Date](https://img.shields.io/github/release-date/EdurtIO/dbm?style=flat-square)

![GitHub commit activity](https://img.shields.io/github/commit-activity/y/EdurtIO/dbm?style=flat-square)
![GitHub contributors](https://img.shields.io/github/contributors-anon/EdurtIO/dbm?style=flat-square)
![GitHub last commit](https://img.shields.io/github/last-commit/EdurtIO/dbm?style=flat-square)

## Workflow

---

**GitHub Actions workflow**

[![Test by push](https://github.com/EdurtIO/dbm/actions/workflows/push-compile-test.yml/badge.svg)](https://github.com/EdurtIO/dbm/actions/workflows/push-compile-test.yml)
[![Publish New Release](https://github.com/EdurtIO/dbm/actions/workflows/publish-release.yml/badge.svg)](https://github.com/EdurtIO/dbm/actions/workflows/upload-to-release.yml)
[![Publish docs via GitHub Pages](https://github.com/EdurtIO/dbm/actions/workflows/publish-docs.yml/badge.svg)](https://github.com/EdurtIO/dbm/actions/workflows/publish-docs.yml)

**Development workflow**

[![codebeat badge](https://codebeat.co/badges/a291d700-2d4b-435f-aa70-468bd1800d19)](https://codebeat.co/projects/github-com-edurtio-incubator-dbm-master)
[![With Electron](https://img.shields.io/badge/with-electron-blue.svg)](https://electronjs.org/) 
[![With Angular](https://img.shields.io/badge/with-angular-blue.svg)](https://angular.io/)
[![With Jetbrains](https://img.shields.io/badge/with-Jetbrains-blue.svg)](https://www.jetbrains.com/)

## Mirror

---

**GitHub**

[![GitHub stars](https://img.shields.io/github/stars/EdurtIO/incubator-dbm?style=for-the-badge)](https://github.com/EdurtIO/incubator-dbm/stargazers)
[![GitHub license](https://img.shields.io/github/license/EdurtIO/incubator-dbm?style=for-the-badge)](https://github.com/EdurtIO/incubator-dbm/blob/master/LICENSE)
[![GitHub issues](https://img.shields.io/github/issues/EdurtIO/incubator-dbm?style=for-the-badge)](https://github.com/EdurtIO/incubator-dbm/issues)
[![GitHub forks](https://img.shields.io/github/forks/EdurtIO/incubator-dbm?style=for-the-badge)](https://github.com/EdurtIO/incubator-dbm/network)

**Gitee**

[![star](https://gitee.com/EdurtIO/dbm/badge/star.svg?theme=dark)](https://gitee.com/EdurtIO/dbm/stargazers)
[![fork](https://gitee.com/EdurtIO/dbm/badge/fork.svg?theme=white)](https://gitee.com/EdurtIO/dbm/members)
[![Fork me on Gitee](https://gitee.com/EdurtIO/dbm/widgets/widget_3.svg)](https://gitee.com/EdurtIO/dbm)

## Supported Databases

---

DBM can query data from any SQL-speaking datastore or data engine (ClickHouse and more).

Here are some of the major database solutions that are supported:

<p align="center">
  <img src="./src/shared/assets/integrate/clickhouse.png" alt="ClickHouse" class="a" width="133" height="34" />
  <img src="./src/shared/assets/integrate/trino.png" alt="Trino" class="a" width="46" height="46"/>
  <img src="./src/shared/assets/integrate/presto.png" alt="Presto" class="a" width="152" height="46"/>
  <img src="./src/shared/assets/integrate/mysql.png" alt="MySQL" class="a" width="auto" height="50"/>
  <img src="./src/shared/assets/integrate/postgresql.png" alt="PostgreSQL" class="a" width="auto" height="50"/>
</p>

## Features

---

- Support query history (pagination, clear all, etc.)
- Support selected sql clauses query
- Support terminating query
- Support table management
  - Delete table operation
  - Get ddl operation
  - Get table preview data operation
  - Rename table operation
- Support column management
  - Add column operation
  - Delete column operation
  - Get column info operation
  - Modify column operation
  - Rename column operation
- Support database management (delete, create)
- Support custom query
- Support multiple data sources management(connection test, monitoring)
- Support customized appearance
- Support monitor (processor, connection, query)
- Support migrate data

## Join Us

---

Open the DingTalk software and scan the following QR code to join

<img src="src/shared/common/dingtalk.jpg" width="200px" height="250px"></img>

## Thank you

---

- [Jetbrains](https://www.jetbrains.com/)

## Installation and Configuration

---

[Extended documentation for DBM](http://dbm-zh.edurt.io/reference/get_started/install.html)
